Bug 1460240 - Failed task has state 'planning' and result 'pending' instead of 'error'
Failed task has state 'planning' and result 'pending' instead of 'error'
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium (vote)
: GA
: --
Assigned To: aruzicka
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 08:57 EDT by Stanislav Tkachenko
Modified: 2017-08-15 16:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: foreman-tasks-0.9.2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of Tasks page (139.90 KB, image/png)
2017-06-09 08:57 EDT, Stanislav Tkachenko
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 19570 None None None 2017-06-12 06:46 EDT

  None (edit)
Description Stanislav Tkachenko 2017-06-09 08:57:16 EDT
Created attachment 1286409 [details]
Screenshot of Tasks page

Description of problem:
I've tried to create organization with existing name via API, corresponding task obviously failed, however under Monitor/Tasks it is listed with state 'planning' and result 'pending' (check attached screenshot). On 6.2 it was 'stopped' and 'error'.

Version-Release number of selected component (if applicable):
Satellite 6.3 Snap 1.0:
* katello-3.4.0-3.el7sat.noarch
* foreman-1.15.0-1.el7sat.noarch
* satellite-6.3.0-15.0.beta.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create organization
2. Try to create another organization with the same name
3. Check task's status at Monitor/Tasks

Actual results:
State 'planning' and result 'pending'

Expected results:
State 'stopped' and result 'error'

Additional info:
Comment 3 aruzicka 2017-06-12 06:46:04 EDT
Although the upstream bug describes a bit different situation, it was caused by the same thing.

Moving to POST since the bug is fixed in upstream (and released in foreman-tasks-0.9.2)
Comment 4 Djebran Lezzoum 2017-07-10 11:33:37 EDT
Verified and validated by automation

Note You need to log in before you can comment on or make changes to this bug.